com.trendmicro.ds.platform.rest.object.scheduledtask

## Class HostFilter

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.scheduledtask.HostFilter

-     public class HostFilter
      extends java.lang.Object

  Details of a host filter.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HostFilter.Type` Host Filter Type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostFilter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getHostGroupID()` Get the host group identifier.
    `java.lang.Integer` | `getHostID()` Get the host identifier.
    `java.lang.Integer` | `getPolicyID()` Get the policy identifier.
    `java.lang.Long` | `getSmartFolderID()` Get the smart folder identifier.
    `HostFilter.Type` | `getType()` Get the host filter type.
    `void` | `setHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier.
    `void` | `setHostID(java.lang.Integer hostID)` Set the host identifier.
    `void` | `setPolicyID(java.lang.Integer policyID)` Set the policy identifier.
    `void` | `setSmartFolderID(java.lang.Long smartFolderID)` Set the smart folder identifier.
    `void` | `setType(HostFilter.Type type)` Set the host filter type.
    `java.lang.String` | `toString()`
    `HostFilter` | `withHostGroupID(java.lang.Integer hostGroupID)` Set the host group identifier.
    `HostFilter` | `withHostID(java.lang.Integer hostID)` Set the host identifier.
    `HostFilter` | `withPolicyID(java.lang.Integer policyID)` Set the policy identifier.
    `HostFilter` | `withSmartFolderID(java.lang.Long smartFolderID)` Set the smart folder identifier.
    `HostFilter` | `withType(HostFilter.Type type)` Set the host filter type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HostFilter

          public HostFilter()

  - ### Method Detail

    - #### getType

          public HostFilter.Type getType()

      Get the host filter type.
      Returns:
        the host filter type.

    - #### setType

          public void setType(HostFilter.Type type)

      Set the host filter type.
      Parameters:
        `type` - the host filter type.

    - #### withType

          public HostFilter withType(HostFilter.Type type)

      Set the host filter type.
      Parameters:
        `type` - the host filter type.
      Returns:
        the updated HostFilter object.

    - #### getHostID

          public java.lang.Integer getHostID()

      Get the host identifier.
      Returns:
        the host identifier.

    - #### setHostID

          public void setHostID(java.lang.Integer hostID)

      Set the host identifier.
      Parameters:
        `hostID` - the host identifier.

    - #### withHostID

          public HostFilter withHostID(java.lang.Integer hostID)

      Set the host identifier.
      Parameters:
        `hostID` - the host identifier.
      Returns:
        the updated HostFilter object.

    - #### getHostGroupID

          public java.lang.Integer getHostGroupID()

      Get the host group identifier.
      Returns:
        the host group identifier.

    - #### setHostGroupID

          public void setHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier.
      Parameters:
        `hostGroupID` - the host group identifier.

    - #### withHostGroupID

          public HostFilter withHostGroupID(java.lang.Integer hostGroupID)

      Set the host group identifier.
      Parameters:
        `hostGroupID` - the host group identifier.
      Returns:
        the updated HostFilter object.

    - #### getPolicyID

          public java.lang.Integer getPolicyID()

      Get the policy identifier.
      Returns:
        the policy identifier.

    - #### setPolicyID

          public void setPolicyID(java.lang.Integer policyID)

      Set the policy identifier.
      Parameters:
        `policyID` - the policy identifier.

    - #### withPolicyID

          public HostFilter withPolicyID(java.lang.Integer policyID)

      Set the policy identifier.
      Parameters:
        `policyID` - the policy identifier.
      Returns:
        the updated HostFilter object.

    - #### getSmartFolderID

          public java.lang.Long getSmartFolderID()

      Get the smart folder identifier.
      Returns:
        the smart folder identifier.

    - #### setSmartFolderID

          public void setSmartFolderID(java.lang.Long smartFolderID)

      Set the smart folder identifier.
      Parameters:
        `smartFolderID` - the smart folder identifier.

    - #### withSmartFolderID

          public HostFilter withSmartFolderID(java.lang.Long smartFolderID)

      Set the smart folder identifier.
      Parameters:
        `smartFolderID` - the smart folder identifier.
      Returns:
        the updated HostFilter object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.